Delete many RSK risks by risk IDs
DELETE
/v1/risks
const url = 'https://api.adversarial.com/api/v1/risks';const options = { method: 'DELETE', headers: {'Content-Type': 'application/json'}, body: '{"ids":[]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.adversarial.com/api/v1/risks \ --header 'Content-Type: application/json' \ --data '{ "ids": [] }'All risks are soft-deleted.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
The risks to delete, by ID.
object
ids
Array<string>
Example
RSK-00001Responses
Section titled “Responses”Risks deleted successfully
Media typeapplication/json
How many risks were deleted, and which requested IDs did not match an existing risk.
object
deleted_count
integer
not_found
Array<string>
Example
{ "deleted_count": 0, "not_found": []}